diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_cols.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_cols.sql
index e428375e..154b0184 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_cols.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_cols.sql
@@ -1,6 +1,6 @@
 -- Table: public.simple_table_with_pk$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
 (
@@ -14,7 +14,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_cols_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_cols_msql.sql
index 673ff675..4f7f5c76 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_cols_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_cols_msql.sql
@@ -1 +1 @@
-ALTER TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#" DROP COLUMN "col2_$%{}[]()&*^!@\""'`\\/#";
+ALTER TABLE IF EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#" DROP COLUMN IF EXISTS "col2_$%{}[]()&*^!@\""'`\\/#";
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_constraints.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_constraints.sql
index 005738c1..b4e9092d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_constraints.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_constraints.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_pk_chk_constraints$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
 (
@@ -15,7 +15,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_constraints_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_constraints_msql.sql
index 47a3cf8d..ad937b15 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_constraints_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_delete_constraints_msql.sql
@@ -1,2 +1,2 @@
-ALTER TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#" DROP CONSTRAINT "unique";
-ALTER TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#" DROP CONSTRAINT chk_const;
+ALTER TABLE IF EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#" DROP CONSTRAINT IF EXISTS "unique";
+ALTER TABLE IF EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#" DROP CONSTRAINT IF EXISTS chk_const;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_update_grants.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_update_grants.sql
index caba3460..6d5a4ce6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_update_grants.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_update_grants.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_advanced_options_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#";
 
 CREATE UNLOGGED TABLE IF NOT EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
 (
@@ -13,7 +13,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 GRANT ALL ON TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#" TO postgres;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_update_grants_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_update_grants_msql.sql
index 363195b7..ed686217 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_update_grants_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_update_grants_msql.sql
@@ -1,7 +1,7 @@
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     DISABLE ROW LEVEL SECURITY;
 
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     NO FORCE ROW LEVEL SECURITY;
 
 GRANT SELECT ON TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#" TO PUBLIC;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_with_toast_table.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_with_toast_table.sql
index e0b9cfd3..70c567d2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_with_toast_table.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_with_toast_table.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_custom_autovaccum_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
 (
@@ -26,7 +26,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_with_toast_table_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_with_toast_table_msql.sql
index a1a588be..f8cf5a96 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_with_toast_table_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/alter_table_with_toast_table_msql.sql
@@ -1,11 +1,11 @@
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
     autovacuum_analyze_threshold = 60,
     autovacuum_vacuum_cost_limit = 100
 );
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" RESET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" RESET (
     autovacuum_enabled
 );
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
     toast.autovacuum_enabled = false,
     toast.autovacuum_freeze_max_age = 2000000,
     toast.autovacuum_vacuum_cost_delay = 50,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_advanced_options.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_advanced_options.sql
index b065c487..0bf11157 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_advanced_options.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_advanced_options.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_advanced_options_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#";
 
 CREATE UNLOGGED TABLE IF NOT EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
 (
@@ -13,13 +13,13 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     ENABLE ROW LEVEL SECURITY;
 
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     FORCE ROW LEVEL SECURITY;
 
 COMMENT ON TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_advanced_options_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_advanced_options_msql.sql
index 7a091ded..295227c2 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_advanced_options_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_advanced_options_msql.sql
@@ -8,13 +8,13 @@ WITH (
     FILLFACTOR = 50
 );
 
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     ENABLE ROW LEVEL SECURITY;
 
-ALTER TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
     FORCE ROW LEVEL SECURITY;
 
 COMMENT ON TABLE public."table_with_advanced_options_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_custom_autovacuum.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_custom_autovacuum.sql
index 0664e614..c1bc7c66 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_custom_autovacuum.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_custom_autovacuum.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_custom_autovaccum_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
 (
@@ -22,7 +22,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_custom_autovacuum_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_custom_autovacuum_msql.sql
index 394aec38..f6f6f313 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_custom_autovacuum_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_custom_autovacuum_msql.sql
@@ -17,7 +17,7 @@ WITH (
     autovacuum_freeze_table_age = 1300000
 );
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_fk.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_fk.sql
index 11e73017..709bee33 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_fk.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_fk.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_fk_constraints$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
 (
@@ -18,7 +18,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_fk_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_fk_msql.sql
index e2ce7202..604d4e56 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_fk_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_fk_msql.sql
@@ -14,7 +14,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_fk_constraints$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_lik_tbl.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_lik_tbl.sql
index 1309cdc5..039ac925 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_lik_tbl.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_lik_tbl.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_like_tbl$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_like_tbl$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_like_tbl$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_like_tbl$%{}[]()&*^!@""'`\/#"
 (
@@ -14,7 +14,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_like_tbl$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_like_tbl$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_like_tbl$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_lik_tbl_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_lik_tbl_msql.sql
index bf9eb073..1d293587 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_lik_tbl_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_lik_tbl_msql.sql
@@ -12,7 +12,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."table_like_tbl$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_like_tbl$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_like_tbl$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk.sql
index bcac72e9..368495c7 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk.sql
@@ -1,6 +1,6 @@
 -- Table: public.simple_table_with_pk$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
 (
@@ -13,7 +13,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_chk.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_chk.sql
index aab4b539..71907e17 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_chk.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_chk.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_pk_chk_constraints$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
 (
@@ -16,7 +16,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_chk_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_chk_msql.sql
index 2ba138e5..3a333983 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_chk_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_chk_msql.sql
@@ -11,7 +11,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."table_with_pk_chk_constraints$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_msql.sql
index 32120e75..ef345d65 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_with_pk_msql.sql
@@ -8,7 +8,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."simple_table_with_pk$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_without_primary_key.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_without_primary_key.sql
index bafbffc8..e0fd4755 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_without_primary_key.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_without_primary_key.sql
@@ -1,6 +1,6 @@
 -- Table: public.simple_table_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."simple_table_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."simple_table_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."simple_table_$%{}[]()&*^!@""'`\/#"
 (
@@ -16,7 +16,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."simple_table_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."simple_table_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."simple_table_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_without_primary_key_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_without_primary_key_msql.sql
index ec4c305e..ec698c8b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_without_primary_key_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/pg/default/create_table_without_primary_key_msql.sql
@@ -11,7 +11,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."simple_table_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."simple_table_$%{}[]()&*^!@""'`\/#"
     OWNER to postgres;
 
 COMMENT ON TABLE public."simple_table_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/alter_table_with_toast_table.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/alter_table_with_toast_table.sql
index 94de9467..2fc4a551 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/alter_table_with_toast_table.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/alter_table_with_toast_table.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_custom_autovaccum_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
 (
@@ -26,7 +26,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/alter_table_with_toast_table_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/alter_table_with_toast_table_msql.sql
index f738d3ec..89a93ace 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/alter_table_with_toast_table_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/alter_table_with_toast_table_msql.sql
@@ -1,12 +1,12 @@
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
     autovacuum_analyze_threshold = 60,
     autovacuum_vacuum_cost_limit = 100
 );
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" RESET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" RESET (
     autovacuum_enabled
 );
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#" SET (
     toast.autovacuum_enabled = false,
     toast.autovacuum_freeze_max_age = 2000000,
     toast.autovacuum_vacuum_cost_delay = 50,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_partition.sql
index 8299a896..c32bcc37 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_partition.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_patition_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_patition_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_patition_$%{}[]()&*^!@""'`\/#"
 (
@@ -13,7 +13,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_patition_$%{}[]()&*^!@""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
@@ -24,5 +24,5 @@ COMMENT ON TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
 CREATE TABLE IF NOT EXISTS public.cust_active PARTITION OF public."table_with_patition_$%{}[]()&*^!@""'`\/#"
     FOR VALUES IN ('ACTIVE');
 
-ALTER TABLE public.cust_active
+ALTER TABLE IF EXISTS public.cust_active
     OWNER to enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_partition_msql.sql
index 10910fbf..7b2b7445 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_partition_msql.sql
@@ -8,7 +8,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_patition_$%{}[]()&*^!@""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."table_with_patition_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_range_partition.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_range_partition.sql
index d3aff026..a9aaf885 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_range_partition.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_range_partition.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_range_patition_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
 (
@@ -13,7 +13,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
     OWNER to enterprisedb;
 
 -- Partitions SQL
@@ -21,5 +21,5 @@ ALTER TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
 CREATE TABLE IF NOT EXISTS public."cust_arr_small PARTITION" PARTITION OF public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
     FOR VALUES FROM ('20') TO ('25');
 
-ALTER TABLE public."cust_arr_small PARTITION"
+ALTER TABLE IF EXISTS public."cust_arr_small PARTITION"
     OWNER to enterprisedb;
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_range_partition_msql.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_range_partition_msql.sql
index 4acd8df5..c44bb024 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_range_partition_msql.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/10_plus/create_table_with_range_partition_msql.sql
@@ -8,7 +8,7 @@ WITH (
     OIDS = FALSE
 );
 
-ALTER TABLE public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
     OWNER to enterprisedb;
 
 CREATE TABLE IF NOT EXISTS public."cust_arr_small PARTITION" PARTITION OF public."table_with_range_patition_$%{}[]()&*^!@""'`\/#"
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/11_plus/alter_table_with_toast_table.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/11_plus/alter_table_with_toast_table.sql
index 94de9467..2fc4a551 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/11_plus/alter_table_with_toast_table.sql
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/tests/ppas/11_plus/alter_table_with_toast_table.sql
@@ -1,6 +1,6 @@
 -- Table: public.table_with_custom_autovaccum_$%{}[]()&*^!@"'`\/#
 
--- DROP TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
+-- DROP TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#";
 
 CREATE TABLE IF NOT EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
 (
@@ -26,7 +26,7 @@ WITH (
 )
 TABLESPACE pg_default;
 
-ALTER TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
+ALTER TABLE IF EXISTS public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
     OWNER to enterprisedb;
 
 COMMENT ON TABLE public."table_with_custom_autovaccum_$%{}[]()&*^!@""'`\/#"
